// Example main header file for pba style portable library
//
// $Id: pba-hellolib-portable.h 171 2014-02-17 13:45:35Z pba $

#ifndef PBAHELLOLIB_H
#define PBAHELLOLIB_H

#define PBAHELLOLIB_ABI 1

#ifdef WIN32
# ifdef __GNUC__
#  ifdef BUILD_pbahellolib1_DLL
#   define PBAHELLOLIB_API __attribute__((dllexport))
#  else
#   define PBAHELLOLIB_API __attribute__((dllimport))
#  endif
# else
#  ifdef BUILD_pbahellolib1_DLL
#   define PBAHELLOLIB_API __declspec(dllexport)
#  else
#   define PBAHELLOLIB_API __declspec(dllimport)
#  endif
# endif
#else
# ifdef __GNUC__
#  define PBAHELLOLIB_INTERNAL_API __attribute__((visibility("hidden")))
# endif
#endif

#ifndef PBAHELLOLIB_INTERNAL_API
#define PBAHELLOLIB_INTERNAL_API
#endif

#ifndef PBAHELLOLIB_API
#define PBAHELLOLIB_API
#endif

#endif // ! PBAHELLOLIB_H
